Bug 717724 - [ipa webui] Config: Certificate Subject Base - Should not be Editable
Summary: [ipa webui] Config: Certificate Subject Base - Should not be Editable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-29 17:26 UTC by Jenny Severance
Modified: 2015-01-04 23:49 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: The certificate subject base is editable post-install. Consequence: The change is not propagated to the CA. Fix: Make the certificate subject base read-only. Result: The value is not modifiable post installation.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:40:48 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot of error (59.18 KB, image/png)
2011-06-29 17:26 UTC, Jenny Severance
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Jenny Severance 2011-06-29 17:26:19 UTC
Created attachment 510502 [details]
screenshot of error

Description of problem:
It is no longer allowed to modify certificate subject base, as it was removed as an option to config-mod awhile ago.

The UI still has it as an edit field.  It should simply display the value.  Attempting to edit it results in bogus - ipa error 3003 "command 'config_mod' takes no arguments".

Version-Release number of selected component (if applicable):
ipa-server-2.0.99-2.20110629T0200zgit66eeace.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Log into web UI as admin
2. Select "IPA Server" ---> "Configuration"
3. Enter a new Certificate Subject Base and click Update.
  
Actual results:
incorrect error message

Expected results:
Field to not be editable.  But value simply displayed.

Additional info:

Comment 1 Rob Crittenden 2011-06-29 20:06:46 UTC
https://fedorahosted.org/freeipa/ticket/1403

Comment 2 Rob Crittenden 2011-08-01 20:00:46 UTC
master: 21dd4a2a826ae6572bdddf72ec42d8a0e3571cd0

Comment 5 Rob Crittenden 2011-10-31 20:41:22 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: The certificate subject base is editable post-install.
Consequence: The change is not propagated to the CA.
Fix: Make the certificate subject base read-only.
Result: The value is not modifiable post installation.

Comment 6 Gowrishankar Rajaiyan 2011-11-05 08:30:16 UTC
The field is removed from the UI.


Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.1.3                             Vendor: Red Hat, Inc.
Release     : 8.el6                         Build Date: Wed 02 Nov 2011 03:21:27 AM IST
Install Date: Thu 03 Nov 2011 10:13:53 AM IST      Build Host: x86-012.build.bos.redhat.com
Group       : System Environment/Base       Source RPM: ipa-2.1.3-8.el6.src.rpm
Size        : 3381421                          License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server

Comment 7 errata-xmlrpc 2011-12-06 18:40:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.